Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1038632 - PRD35 - [RFE] [spice-html5] spice-html5 js client is dumb: no error about network connection issue
Summary: PRD35 - [RFE] [spice-html5] spice-html5 js client is dumb: no error about net...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Frantisek Kobzik
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On: 1108599
Blocks: rhev3.5beta 1149261 1156165
TreeView+ depends on / blocked
 
Reported: 2013-12-05 14:23 UTC by Jiri Belka
Modified: 2015-09-06 10:52 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This enhancement adds a button to the SPICE-HTML5 page and allows users to display console debug information when needed.
Clone Of:
: 1108599 1149261 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:56:28 UTC
oVirt Team: ---
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 26984 None None None Never

Description Jiri Belka 2013-12-05 14:23:44 UTC
Description of problem:

I would expect that enteprise tool would tell users that something is wrong when user uses it and don't see expected behavious.

* spice-html5 JS console is dumb, when ovirt-websocket-proxy is not running the JS code does not show any error, the user just see dark gray rectangle and that all.

* when there is no connection between ovirt-websocket-proxy and host there is also no error, just again dark gray rectangle.

Some error should be seen.

Version-Release number of selected component (if applicable):
is25/spice-html5-0.1.4-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. do not start ovirt-websocket-proxy and open spice-html5 console
2. block connection between server hosting ovirt-websocket-proxy to host's ports 5634:6166
3.

Actual results:
spice-html5 is dumb, no error to the user

Expected results:
1. should be easy
2. server part should also do some logic and tell JS client there's network issue to host

Additional info:
it is spice-html5 but as it is part of RHEVM which sells this feature :)

part about ovirt-websocket-proxy -> host network issue:

-%-
  1: 10.34.131.48: Path: '/eyJ2YWxpZFRvIjoiMjAxMzEyMDUxNDE4MDAiLCJkYXRhIjoiJTdCJTIyaG9zdCUyMjolMjIxMC4zNC42My4yMjIlMjIsJTIycG9ydCUyMjolMjI1OTAzJTIyLCUyMnNzbF90YXJnZXQlMjI6dHJ1ZSU3RCIsInZhbGlkRnJvbSI6IjIwMTMxMjA1MTQxNjAwIiwic2lnbmVkRmllbGRzIjoidmFsaWRUbyxkYXRhLHZhbGlkRnJvbSxzYWx0Iiwic2lnbmF0dXJlIjoicHJvYUNUVDQ2b0VkdlE1VFhqMFE1QjFkTFN3MElId0Z4b1IreHNNcEJCd2xheWRDclQwQ0RRU3JGbTdoSGFNYW5xZm9VNXFidnJTUVRXWFhkNSs4Sk5VVnliYWFLMStML2VvdnlweWI4cTRmR0pyRHp0QmU0Y3hiTG5EQVhTQ2tzVmxjYkhUVGNzRFBaajNoaHdoVUIvWTN4SC9UQiswYm5ueUR6RmY0WDNLMmkwRXFSSGwyQzU2cXFNRVJ0azRiajJTVlZxWVJ5elIwaERVQ2Y5UHhUYXdtb05qQng5OVUyRExvOU1sSUVuUllCcGRoMGljWThwK3I0RGFDWjZyNVJQUFhKbkh4bnFobXE0azBKNEdqc1dZaVB3a0pIVm5tSjI0OUQ5a2ZNVkc4SG9YOWlITmRnSEdLNW5IV1JsTEJhRHVIdTBiWEhRL2xBV3lyNUZVRTJ3PT0iLCJzYWx0IjoiY2NnT2s5TFRRR2M9In0='
  1: connecting to: 10.34.63.222:5903 (using SSL)
  1: handler exception: [Errno 111] Connection refused
  1: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/websockify/websocket.py", line 797, in top_new_client
    self.new_client()
  File "/usr/lib/python2.6/site-packages/websockify/websocketproxy.py", line 183, in new_client
    connect=True, use_ssl=self.ssl_target, unix_socket=self.unix_target)
  File "/usr/lib/python2.6/site-packages/websockify/websocket.py", line 193, in socket
    sock.connect(addrs[0][4])
  File "<string>", line 1, in connect
error: [Errno 111] Connection refused
-%-

Comment 1 Jiri Belka 2013-12-05 14:24:53 UTC
novnc seems to provide some info in top bar...

Comment 2 Omer Frenkel 2013-12-11 09:22:43 UTC
this component is not really owned by ovirt, i am not sure how easy it would be to get the error and display something meaningful, or if even possible.

Comment 4 Michal Skrivanek 2014-01-31 09:14:28 UTC
Franto, thoughts on what is possible and what's not?

Comment 6 Frantisek Kobzik 2014-02-04 13:22:20 UTC
We can actually make the spice-html5 console visible (the drawback is the console shows a lot of unrelated information), or at least add a button that makes it visible.

Comment 8 Ilanit Stein 2014-07-06 12:48:49 UTC
Frank,

Would you please review the attached tcms test case?

Thanks,
Ilanit.

Comment 9 Frantisek Kobzik 2014-07-17 10:29:00 UTC
Hi Illanit,

I've just went through the test case and it looks fine.

Thanks,
F.

Comment 11 Jiri Belka 2014-09-25 14:25:32 UTC
not part of vt4

# grep -IR toggleMessages /usr/share/spice-html5
# rpm -q spice-html5
spice-html5-0.1.4-1.el6.noarch

Comment 12 Jiri Belka 2014-09-25 14:32:39 UTC
oops, ignore #11.

# grep -IR toggleMessage /usr/share/ovirt-engine
/usr/share/ovirt-engine/engine.ear/services.war/spicehtml5-main.html:            function toggleMessages() {
/usr/share/ovirt-engine/engine.ear/services.war/spicehtml5-main.html:            <button type="button" onclick="toggleMessages()">

# rpm -qf /usr/share/ovirt-engine/engine.ear/services.war/spicehtml5-main.html
rhevm-backend-3.5.0-0.13.beta.el6ev.noarch

anyway following error is not enough:

~~~
>> WebSockets.onerror[object Event]

[object Event]
~~~

Comment 13 Michal Skrivanek 2014-09-29 14:31:12 UTC
improvement to the message can wait for the next maintenance releases

Comment 16 Ilanit Stein 2014-10-29 13:28:17 UTC
Verified on vt7:

1. Stop ovirt-websocket-proxy and open spice-html5 console
Give error:
>> WebSockets.onerror[object Event]
[object Event]
2. block connection between server hosting ovirt-websocket-proxy to host by:
iptables -I OUTPUT -p tcp -d < host running the VM ip > -j REJECT
When trying to open the spice-html5 console there an operation cancelled window opens with the error: 
Error while executing action SetVmTicket: Network error during communication with the Host.

Also marked the relevant tcms case as passed:
https://tcms.engineering.redhat.com/run/163771/

Comment 19 errata-xmlrpc 2015-02-11 17:56:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.